Subject: RE: [Ltru] (no subject)

From: "L.Gillam" <[email-masked]>
Date: Fri, 1 Jul 2005 10:41:09 +0100

Am I missing the point, or is there a lot of argument about private use extensions wanting to use a "." where, as I perceive it, the same job can be accomplished with what is already available.

Without going into limitations, extend the syntax that's already there. You don't *need* to use a "." since you can have multiple differently lengthed alphanums (each upto 8 in length). Your first item could be alphanum*5. If you have a second that is alphanum*3, this can "stand for" your requirement. You can then have a following alphanum*5. Programmatically quite straightforward I think you'll agree, back-compatible with RFC 3066, and since in the PUE section you can declare your own conformant ABNF for this that others can reference also. The only question is: what is the length limitation imposed on longest conformant ("registry") tag + longest conformant PUE. But, if you're not bothered about back-compat then do what you wish. That is, unless I missed some *major* fundamental interpretative issue whereby a "." is the ONLY possible solution.

I didn't realise that Peter Constable had suddenly taken complete ownership of RFC 3066 - I'd be surprised it the editors hadn't noticed - and yet this mail quoted is addressed to Mr Constable and uses a succession of "you" and "your" that by implication are in the singular. RFC 3066 is not Peter's personal limitation or imposition, and as such what is contained below does not make for pleasant reading. If you wish to attack a system and its definition, fine - but provide good and well explained examples of why it does not or can not work. For example, can you explain WHY an ASCII tag for identifying languages prevents culture, or what aspects of culture (art? history?) are prevented by its use. Personal attacks, on the other hand, are not welcome.

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]]On
> Behalf Of [email-masked]
> Sent: 01 July 2005 01:12
> To: [email-masked]
> Cc: [email-masked]
> Subject: [Ltru] (no subject)
> 
> 
> Dear Mr. Constable,
> I apologise for being late in responding. But I have to get 
> some help to
> send a mail in English.
> 
> I feel you do not realise how we perceive what you are doing. In the
> Internet world there is ISO 3166 which has a clear 
> recognition. RFC 3066
> introduced ISO 639 and it provided a way to define, when 
> people need it,
> other "binomes" when the ISO tables are not enough. This is a 
> lose, light
> and versatile system. This is what is important. I can use 
> it. Even if the
> IANA registry is not well managed.
> 
> You transform the system. You make it formal. You make it heavy and
> complex. I understand nothing in this text. But I am to obey 
> it. This is
> why I dislike your ideas. All the more than you make it 
> systematic with
> locales de facto imposed to Linux, and no commitment from 
> CLDR to never do
> as ISO planned to do: to register it and to force people pay for it.
> 
> You harm us, Mr. Constable. We did nothing to you.
> 
> 
> 
> The "." changes nothing. It is a separator. We are no fool, 
> and we use it.
> The token can be any length, the subtag remains 8alphanum - 
> however we do
> not mind. You say we break retrocompatibility: with what?
> 
> We talk necessarily of usage which were never even 
> considered. If an old
> system fails recognising our tag, what then???? Since we do 
> not want them
> to be compatible (this could be confusing). We do not want a single
> ASCIInternational global space. Do you understand that? We 
> want a space
> per community: technical end to end interoperability must 
> work everywhere,
> but cultural person to person interintelligibility must be 
> protected. Your
> system forbids its most elementary protection, which is the 
> support of its
> diversity and its self-denomination/definition by the people.
> 
> Anyway, we will do it.
> 
> And we expect it to be quite used because it addresses a 
> need. I am sorry
> to have to tell you that: with all my respect, the world is 
> not a zoo for
> ASCII visitors. We are not much interested in the IETF 
> paperwork. We are
> not even interested in academic running code: we are 
> interested in used
> code and real practices. This is the best RFC. This is why you should
> carefully read the mail of M. JFC Morfin. I think his 
> position is good and
> permits you to also develop your ideas. No one wants the 
> fight you want:
> but no one wants to be under pressure to speak American or to 
> buy products
> from a specific group of manufacturers. We want competition. 
> You try to
> reduce competition.
> 
> We want to empower cultures and therefore their languages. Not to put
> their dominant editor in a can with a gummed ASCII langtag, 
> on the shelves
> on the e-commerce software shop. We just succeeded to get 
> culture out of
> WTO's reach: it is not to get them back through their 
> languages. Languages
> are not for sales, just language oriented tools are, but on an equal
> opportunity basis for the sellers and the users. Including 
> the right to
> use open source without a commercial locale.
> 
> Mr. Constable, I am sorry. Please also get real. Not only technical,
> commercial and political.
> F. Charles.
> 
> 
> _______________________________________________
> Ltru mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ltru
> 

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru